import service from "./index";
const apiAdmin = '/mediate/'

const systemLogApi = {
    
    //========================start::枚举管理======================================
    // 分页查询
    getDictList: data => {
        return service.service.post(`${apiAdmin}data/dict/getDictList`, data)
    },
    // 新增字典
    addDict: data => {
        return service.service.post(`${apiAdmin}data/dict/addDict`, data)
    },
    // 修改字典
    updateDictById: data => {
        return service.service.post(`${apiAdmin}data/dict/updateDictById`, data)
    },
    // 删除字典
    deleteDictById: data => {
        return service.service.post(`${apiAdmin}data/dict/deleteDictById`, data)
    },
    // 获取字典list(非分页 如果传入条件为空则查询所有)
    getDict: data => {
        return service.service.post(`${apiAdmin}data/dict/getDict`, data)
    },
    // 字典类型枚举
    getDictTypeEnum: data => {
        return service.service.get(`${apiAdmin}data/dict/getDictTypeEnum`, data)
    },
    //========================end::枚举管理======================================

    //========================start::模板管理======================================
    // 模板查询
    getTemplateList: data => {
        return service.service.post(`${apiAdmin}template/getTemplateList`, data)
    },
    // 新增模板
    addTemplate: data => {
        return service.service.post(`${apiAdmin}template/addTemplate`, data)
    },
    // 修改模板
    updateTemplateById: data => {
        return service.service.post(`${apiAdmin}template/updateTemplateById`, data)
    },
    // 删除模板
    deleteTemplateById: data => {
        return service.service.post(`${apiAdmin}template/deleteTemplateById`, data)
    },
    // 详情查询
    getTemplateById: data => {
        return service.service.post(`${apiAdmin}template/getTemplateById`, data)
    },

    //========================end::模板管理======================================
    
        
}
export default systemLogApi;
